Package org.alfresco.rest.api.nodes
Class NodeVersionsStorageInfoRelation
java.lang.Object
org.alfresco.rest.api.nodes.NodeVersionsStorageInfoRelation
- All Implemented Interfaces:
RelationshipResourceAction.ReadById<ContentStorageInfo>,ResourceAction,org.springframework.beans.factory.InitializingBean
@RelationshipResource(name="storage-info",
entityResource=NodeVersionsRelation.class,
title="Node Version\'s content storage information")
public class NodeVersionsStorageInfoRelation
extends Object
implements RelationshipResourceAction.ReadById<ContentStorageInfo>, org.springframework.beans.factory.InitializingBean
Node Versions storage information.
- GET /nodes/{nodeId}/versions/{versionId}/storage-info/{contentPropQNameId}
- Author:
- janv
-
Constructor Summary
ConstructorsConstructorDescriptionNodeVersionsStorageInfoRelation(ContentStorageInformation storageInformation, NodeVersionsRelation nodeVersions) -
Method Summary
Modifier and TypeMethodDescriptionvoidreadById(String nodeId, String versionId, Parameters parameters) voidrequestArchiveContent(String nodeId, String versionId, ArchiveContentRequest archiveContentRequest, Parameters parameters, WithResponse withResponse) voidrequestRestoreContentFromArchive(String nodeId, String versionId, RestoreArchivedContentRequest restoreArchivedContentRequest, Parameters parameters, WithResponse withResponse)
-
Constructor Details
-
NodeVersionsStorageInfoRelation
public NodeVersionsStorageInfoRelation(ContentStorageInformation storageInformation, NodeVersionsRelation nodeVersions)
-
-
Method Details
-
afterPropertiesSet
- Specified by:
afterPropertiesSetin interfaceorg.springframework.beans.factory.InitializingBean- Throws:
Exception
-
readById
public ContentStorageInfo readById(String nodeId, String versionId, Parameters parameters) throws RelationshipResourceNotFoundException - Specified by:
readByIdin interfaceRelationshipResourceAction.ReadById<ContentStorageInfo>- Throws:
RelationshipResourceNotFoundException
-
requestArchiveContent
public void requestArchiveContent(String nodeId, String versionId, ArchiveContentRequest archiveContentRequest, Parameters parameters, WithResponse withResponse) -
requestRestoreContentFromArchive
public void requestRestoreContentFromArchive(String nodeId, String versionId, RestoreArchivedContentRequest restoreArchivedContentRequest, Parameters parameters, WithResponse withResponse)
-